Iot Hub Resource - Create Or Update

建立或更新 IoT 中樞的中繼資料。 修改屬性的一般模式是擷取 IoT 中樞中繼資料和安全性中繼資料,然後將它們與新本文中的修改值結合,以更新 IoT 中樞。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/IotHubs/{resourceName}?api-version=2026-11-01

URI 參數

名稱 位於 必要 類型 Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

resourceName
path True

string

IoT 中樞的名稱。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求標頭

名稱 必要 類型 Description
If-Match

string

IoT 中樞的 ETag。 請勿指定建立全新的 IoT 中樞。 更新現有 IoT 中樞的必要條件。

要求本文

名稱 必要 類型 Description
location True

string

資源所在的地理位置

sku True

IotHubSkuInfo

IotHub SKU 資訊

etag

string

Etag 欄位 不需要。 如果在響應主體中提供,則也必須根據一般 ETag 慣例提供它作為標頭。

identity

ArmIdentity

IotHub 的受控識別。

properties

IotHubProperties

IotHub 屬性

tags

object

資源標籤。

回覆

名稱 類型 Description
200 OK

IotHubDescription

資源「IotHubDescription」更新操作成功

201 Created

IotHubDescription

資源 'IotHubDescription' 建立操作成功

標題

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorDetails

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 冒用您的使用者帳戶

範例

CreateOrReplace_IotHub
IotHubResource_CreateOrUpdate

CreateOrReplace_IotHub

範例要求

PUT https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/IotHubs/testHub?api-version=2026-11-01

{
  "location": "centraluseuap",
  "tags": {},
  "etag": "AAAAAAFD6M4=",
  "properties": {
    "ipFilterRules": [],
    "networkRuleSets": {
      "defaultAction": "Deny",
      "applyToBuiltInEventHubEndpoint": true,
      "ipRules": [
        {
          "filterName": "rule1",
          "action": "Allow",
          "ipMask": "131.117.159.53"
        },
        {
          "filterName": "rule2",
          "action": "Allow",
          "ipMask": "157.55.59.128/25"
        }
      ]
    },
    "eventHubEndpoints": {
      "events": {
        "retentionTimeInDays": 1,
        "partitionCount": 2
      }
    },
    "routing": {
      "endpoints": {
        "serviceBusQueues": [],
        "serviceBusTopics": [],
        "eventHubs": [],
        "storageContainers": []
      },
      "routes": [
        {
          "name": "Routeid",
          "source": "DeviceMessages",
          "condition": "true",
          "endpointNames": [
            "events"
          ],
          "isEnabled": true
        }
      ],
      "fallbackRoute": {
        "name": "$fallback",
        "source": "DeviceMessages",
        "condition": "true",
        "endpointNames": [
          "events"
        ],
        "isEnabled": true
      }
    },
    "storageEndpoints": {
      "$default": {
        "sasTtlAsIso8601": "PT1H",
        "connectionString": "",
        "containerName": ""
      }
    },
    "messagingEndpoints": {
      "fileNotifications": {
        "lockDurationAsIso8601": "PT1M",
        "ttlAsIso8601": "PT1H",
        "maxDeliveryCount": 10
      }
    },
    "enableFileUploadNotifications": false,
    "cloudToDevice": {
      "maxDeliveryCount": 10,
      "defaultTtlAsIso8601": "PT1H",
      "feedback": {
        "lockDurationAsIso8601": "PT1M",
        "ttlAsIso8601": "PT1H",
        "maxDeliveryCount": 10
      }
    },
    "features": "None",
    "minTlsVersion": "1.2",
    "enableDataResidency": true
  },
  "sku": {
    "name": "S1",
    "capacity": 1
  }
}

範例回覆

{
  "id": "/subscriptions/ae24ff83-d2ca-4fc8-9717-05dae4bba489/resourceGroups/myResourceGroup/providers/Microsoft.Devices/IotHubs/testHub",
  "name": "testHub",
  "type": "Microsoft.Devices/IotHubs",
  "location": "centraluseuap",
  "tags": {},
  "etag": "AAAAAAFD6M4=",
  "properties": {
    "state": "Active",
    "provisioningState": "Succeeded",
    "ipFilterRules": [
      {
        "filterName": "rule1",
        "action": "Accept",
        "ipMask": "131.117.159.53"
      },
      {
        "filterName": "rule2",
        "action": "Accept",
        "ipMask": "157.55.59.128/25"
      }
    ],
    "networkRuleSets": {
      "defaultAction": "Deny",
      "applyToBuiltInEventHubEndpoint": true,
      "ipRules": [
        {
          "filterName": "rule1",
          "action": "Allow",
          "ipMask": "131.117.159.53"
        },
        {
          "filterName": "rule2",
          "action": "Allow",
          "ipMask": "157.55.59.128/25"
        }
      ]
    },
    "hostName": "iot-dps-cit-hub-1.azure-devices.net",
    "deviceHostName": "iot-dps-cit-hub-1.device.azure-devices.net",
    "serviceHostName": "iot-dps-cit-hub-1.service.azure-devices.net",
    "eventHubEndpoints": {
      "events": {
        "retentionTimeInDays": 1,
        "partitionCount": 2,
        "partitionIds": [
          "0",
          "1"
        ],
        "path": "iot-dps-cit-hub-1",
        "endpoint": "sb://iothub-ns-iot-dps-ci-245306-76aca8e13b.servicebus.windows.net/"
      }
    },
    "routing": {
      "endpoints": {
        "serviceBusQueues": [],
        "serviceBusTopics": [],
        "eventHubs": [],
        "storageContainers": []
      },
      "routes": [
        {
          "name": "Routeid",
          "source": "DeviceMessages",
          "condition": "true",
          "endpointNames": [
            "events"
          ],
          "isEnabled": true
        }
      ],
      "fallbackRoute": {
        "name": "$fallback",
        "source": "DeviceMessages",
        "condition": "true",
        "endpointNames": [
          "events"
        ],
        "isEnabled": true
      }
    },
    "storageEndpoints": {
      "$default": {
        "sasTtlAsIso8601": "PT1H",
        "connectionString": "",
        "containerName": ""
      }
    },
    "messagingEndpoints": {
      "fileNotifications": {
        "lockDurationAsIso8601": "PT1M",
        "ttlAsIso8601": "PT1H",
        "maxDeliveryCount": 10
      }
    },
    "enableFileUploadNotifications": false,
    "cloudToDevice": {
      "maxDeliveryCount": 10,
      "defaultTtlAsIso8601": "PT1H",
      "feedback": {
        "lockDurationAsIso8601": "PT1M",
        "ttlAsIso8601": "PT1H",
        "maxDeliveryCount": 10
      }
    },
    "features": "None",
    "minTlsVersion": "1.2",
    "enableDataResidency": true,
    "iotHubDetails": {
      "gatewayVersion": "V2"
    }
  },
  "sku": {
    "name": "S1",
    "tier": "Standard",
    "capacity": 1
  },
  "systemData": {
    "createdAt": "2021-01-30T00:28:38.963Z"
  }
}
{
  "id": "/subscriptions/ae24ff83-d2ca-4fc8-9717-05dae4bba489/resourceGroups/myResourceGroup/providers/Microsoft.Devices/IotHubs/testHub",
  "name": "testHub",
  "type": "Microsoft.Devices/IotHubs",
  "location": "centraluseuap",
  "tags": {},
  "etag": "AAAAAAFD6M4=",
  "properties": {
    "state": "Active",
    "provisioningState": "Succeeded",
    "ipFilterRules": [
      {
        "filterName": "rule1",
        "action": "Accept",
        "ipMask": "131.117.159.53"
      },
      {
        "filterName": "rule2",
        "action": "Accept",
        "ipMask": "157.55.59.128/25"
      }
    ],
    "networkRuleSets": {
      "defaultAction": "Deny",
      "applyToBuiltInEventHubEndpoint": true,
      "ipRules": [
        {
          "filterName": "rule1",
          "action": "Allow",
          "ipMask": "131.117.159.53"
        },
        {
          "filterName": "rule2",
          "action": "Allow",
          "ipMask": "157.55.59.128/25"
        }
      ]
    },
    "hostName": "iot-dps-cit-hub-1.azure-devices.net",
    "deviceHostName": "iot-dps-cit-hub-1.device.azure-devices.net",
    "serviceHostName": "iot-dps-cit-hub-1.service.azure-devices.net",
    "eventHubEndpoints": {
      "events": {
        "retentionTimeInDays": 1,
        "partitionCount": 2,
        "partitionIds": [
          "0",
          "1"
        ],
        "path": "iot-dps-cit-hub-1",
        "endpoint": "sb://iothub-ns-iot-dps-ci-245306-76aca8e13b.servicebus.windows.net/"
      }
    },
    "routing": {
      "endpoints": {
        "serviceBusQueues": [],
        "serviceBusTopics": [],
        "eventHubs": [],
        "storageContainers": []
      },
      "routes": [
        {
          "name": "Routeid",
          "source": "DeviceMessages",
          "condition": "true",
          "endpointNames": [
            "events"
          ],
          "isEnabled": true
        }
      ],
      "fallbackRoute": {
        "name": "$fallback",
        "source": "DeviceMessages",
        "condition": "true",
        "endpointNames": [
          "events"
        ],
        "isEnabled": true
      }
    },
    "storageEndpoints": {
      "$default": {
        "sasTtlAsIso8601": "PT1H",
        "connectionString": "",
        "containerName": ""
      }
    },
    "messagingEndpoints": {
      "fileNotifications": {
        "lockDurationAsIso8601": "PT1M",
        "ttlAsIso8601": "PT1H",
        "maxDeliveryCount": 10
      }
    },
    "enableFileUploadNotifications": false,
    "cloudToDevice": {
      "maxDeliveryCount": 10,
      "defaultTtlAsIso8601": "PT1H",
      "feedback": {
        "lockDurationAsIso8601": "PT1M",
        "ttlAsIso8601": "PT1H",
        "maxDeliveryCount": 10
      }
    },
    "features": "None",
    "minTlsVersion": "1.2",
    "enableDataResidency": true,
    "iotHubDetails": {
      "gatewayVersion": "V2"
    }
  },
  "sku": {
    "name": "S1",
    "tier": "Standard",
    "capacity": 1
  },
  "systemData": {
    "createdAt": "2021-01-30T00:28:38.963Z"
  }
}

IotHubResource_CreateOrUpdate

範例要求

PUT https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/IotHubs/testHub?api-version=2026-11-01

{
  "etag": "AAAAAAFD6M4=",
  "location": "centraluseuap",
  "identity": {
    "type": "SystemAssigned"
  },
  "properties": {
    "cloudToDevice": {
      "defaultTtlAsIso8601": "PT1H",
      "feedback": {
        "lockDurationAsIso8601": "PT1M",
        "maxDeliveryCount": 10,
        "ttlAsIso8601": "PT1H"
      },
      "maxDeliveryCount": 10
    },
    "enableDataResidency": true,
    "enableFileUploadNotifications": false,
    "eventHubEndpoints": {
      "events": {
        "partitionCount": 2,
        "retentionTimeInDays": 1
      }
    },
    "features": "None",
    "ipFilterRules": [],
    "messagingEndpoints": {
      "fileNotifications": {
        "lockDurationAsIso8601": "PT1M",
        "maxDeliveryCount": 10,
        "ttlAsIso8601": "PT1H"
      }
    },
    "minTlsVersion": "1.2",
    "networkRuleSets": {
      "applyToBuiltInEventHubEndpoint": true,
      "defaultAction": "Deny",
      "ipRules": [
        {
          "action": "Allow",
          "filterName": "rule1",
          "ipMask": "131.117.159.53"
        },
        {
          "action": "Allow",
          "filterName": "rule2",
          "ipMask": "157.55.59.128/25"
        }
      ]
    },
    "routing": {
      "endpoints": {
        "eventHubs": [],
        "serviceBusQueues": [],
        "serviceBusTopics": [],
        "storageContainers": [],
        "eventStreams": [
          {
            "name": "eventstreamendpoint1",
            "endpointUri": "sb://eventstreamcustomsourceehns.azure.servicebus.net",
            "entityPath": "eventstreamcustomsourceeh",
            "authenticationType": "identityBased",
            "workspaceId": "11111111-1111-1111-1111-111111111111",
            "eventStreamId": "22222222-2222-2222-2222-222222222222",
            "sourceId": "33333333-3333-3333-3333-333333333333"
          }
        ]
      },
      "fallbackRoute": {
        "name": "$fallback",
        "condition": "true",
        "endpointNames": [
          "events"
        ],
        "isEnabled": true,
        "source": "DeviceMessages"
      },
      "routes": []
    },
    "storageEndpoints": {
      "$default": {
        "connectionString": "",
        "containerName": "",
        "sasTtlAsIso8601": "PT1H"
      }
    }
  },
  "sku": {
    "name": "S1",
    "capacity": 1
  },
  "tags": {}
}

範例回覆

{
  "name": "testHub",
  "type": "Microsoft.Devices/IotHubs",
  "etag": "AAAAAAFD6M4=",
  "id": "/subscriptions/ae24ff83-d2ca-4fc8-9717-05dae4bba489/resourceGroups/myResourceGroup/providers/Microsoft.Devices/IotHubs/testHub",
  "location": "centraluseuap",
  "identity": {
    "tenantId": "11111111-2222-3333-4444-555555555555",
    "type": "SystemAssigned",
    "principalId": "66666666-7777-8888-9999-aaaaaaaaaaaa"
  },
  "properties": {
    "cloudToDevice": {
      "defaultTtlAsIso8601": "PT1H",
      "feedback": {
        "lockDurationAsIso8601": "PT1M",
        "maxDeliveryCount": 10,
        "ttlAsIso8601": "PT1H"
      },
      "maxDeliveryCount": 10
    },
    "enableDataResidency": true,
    "enableFileUploadNotifications": false,
    "eventHubEndpoints": {
      "events": {
        "path": "iot-dps-cit-hub-1",
        "endpoint": "sb://iothub-ns-iot-dps-ci-245306-76aca8e13b.servicebus.windows.net/",
        "partitionCount": 2,
        "partitionIds": [
          "0",
          "1"
        ],
        "retentionTimeInDays": 1
      }
    },
    "features": "None",
    "hostName": "iot-dps-cit-hub-1.azure-devices.net",
    "ipFilterRules": [
      {
        "action": "Accept",
        "filterName": "rule1",
        "ipMask": "131.117.159.53"
      },
      {
        "action": "Accept",
        "filterName": "rule2",
        "ipMask": "157.55.59.128/25"
      }
    ],
    "messagingEndpoints": {
      "fileNotifications": {
        "lockDurationAsIso8601": "PT1M",
        "maxDeliveryCount": 10,
        "ttlAsIso8601": "PT1H"
      }
    },
    "minTlsVersion": "1.2",
    "networkRuleSets": {
      "applyToBuiltInEventHubEndpoint": true,
      "defaultAction": "Deny",
      "ipRules": [
        {
          "action": "Allow",
          "filterName": "rule1",
          "ipMask": "131.117.159.53"
        },
        {
          "action": "Allow",
          "filterName": "rule2",
          "ipMask": "157.55.59.128/25"
        }
      ]
    },
    "provisioningState": "Succeeded",
    "routing": {
      "endpoints": {
        "eventHubs": [],
        "serviceBusQueues": [],
        "serviceBusTopics": [],
        "storageContainers": [],
        "eventStreams": [
          {
            "name": "eventstreamendpoint1",
            "id": "00000000-1111-2222-3333-0123456789ab",
            "endpointUri": "sb://eventstreamcustomsourceehns.azure.servicebus.net",
            "entityPath": "eventstreamcustomsourceeh",
            "authenticationType": "identityBased",
            "workspaceId": "11111111-1111-1111-1111-111111111111",
            "eventStreamId": "22222222-2222-2222-2222-222222222222",
            "sourceId": "33333333-3333-3333-3333-333333333333"
          }
        ]
      },
      "fallbackRoute": {
        "name": "$fallback",
        "condition": "true",
        "endpointNames": [
          "events"
        ],
        "isEnabled": true,
        "source": "DeviceMessages"
      },
      "routes": []
    },
    "state": "Active",
    "storageEndpoints": {
      "$default": {
        "connectionString": "",
        "containerName": "",
        "sasTtlAsIso8601": "PT1H"
      }
    }
  },
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "systemData": {
    "createdAt": "2021-01-30T00:28:38.963Z"
  },
  "tags": {}
}
{
  "name": "testHub",
  "type": "Microsoft.Devices/IotHubs",
  "etag": "AAAAAAFD6M4=",
  "id": "/subscriptions/ae24ff83-d2ca-4fc8-9717-05dae4bba489/resourceGroups/myResourceGroup/providers/Microsoft.Devices/IotHubs/testHub",
  "location": "centraluseuap",
  "identity": {
    "tenantId": "11111111-2222-3333-4444-555555555555",
    "type": "SystemAssigned",
    "principalId": "66666666-7777-8888-9999-aaaaaaaaaaaa"
  },
  "properties": {
    "cloudToDevice": {
      "defaultTtlAsIso8601": "PT1H",
      "feedback": {
        "lockDurationAsIso8601": "PT1M",
        "maxDeliveryCount": 10,
        "ttlAsIso8601": "PT1H"
      },
      "maxDeliveryCount": 10
    },
    "enableDataResidency": true,
    "enableFileUploadNotifications": false,
    "eventHubEndpoints": {
      "events": {
        "path": "iot-dps-cit-hub-1",
        "endpoint": "sb://iothub-ns-iot-dps-ci-245306-76aca8e13b.servicebus.windows.net/",
        "partitionCount": 2,
        "partitionIds": [
          "0",
          "1"
        ],
        "retentionTimeInDays": 1
      }
    },
    "features": "None",
    "hostName": "iot-dps-cit-hub-1.azure-devices.net",
    "ipFilterRules": [
      {
        "action": "Accept",
        "filterName": "rule1",
        "ipMask": "131.117.159.53"
      },
      {
        "action": "Accept",
        "filterName": "rule2",
        "ipMask": "157.55.59.128/25"
      }
    ],
    "messagingEndpoints": {
      "fileNotifications": {
        "lockDurationAsIso8601": "PT1M",
        "maxDeliveryCount": 10,
        "ttlAsIso8601": "PT1H"
      }
    },
    "minTlsVersion": "1.2",
    "networkRuleSets": {
      "applyToBuiltInEventHubEndpoint": true,
      "defaultAction": "Deny",
      "ipRules": [
        {
          "action": "Allow",
          "filterName": "rule1",
          "ipMask": "131.117.159.53"
        },
        {
          "action": "Allow",
          "filterName": "rule2",
          "ipMask": "157.55.59.128/25"
        }
      ]
    },
    "provisioningState": "Succeeded",
    "routing": {
      "endpoints": {
        "eventHubs": [],
        "serviceBusQueues": [],
        "serviceBusTopics": [],
        "storageContainers": [],
        "eventStreams": [
          {
            "name": "eventstreamendpoint1",
            "id": "00000000-1111-2222-3333-0123456789ab",
            "endpointUri": "sb://eventstreamcustomsourceehns.azure.servicebus.net",
            "entityPath": "eventstreamcustomsourceeh",
            "authenticationType": "identityBased",
            "workspaceId": "11111111-1111-1111-1111-111111111111",
            "eventStreamId": "22222222-2222-2222-2222-222222222222",
            "sourceId": "33333333-3333-3333-3333-333333333333"
          }
        ]
      },
      "fallbackRoute": {
        "name": "$fallback",
        "condition": "true",
        "endpointNames": [
          "events"
        ],
        "isEnabled": true,
        "source": "DeviceMessages"
      },
      "routes": []
    },
    "state": "Active",
    "storageEndpoints": {
      "$default": {
        "connectionString": "",
        "containerName": "",
        "sasTtlAsIso8601": "PT1H"
      }
    }
  },
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "systemData": {
    "createdAt": "2021-01-30T00:28:38.963Z"
  },
  "tags": {}
}

定義

名稱 Description
AccessRights

指派給共用存取原則的許可權。

ArmIdentity
ArmUserIdentity
AuthenticationType

指定用於連線到記憶體帳戶的驗證類型。

Capabilities

針對IoT中樞啟用的功能和功能。

CloudToDeviceProperties

IoT 中樞雲端到裝置傳訊屬性。

createdByType

建立此資源的身分識別類型。

DefaultAction

網路規則集的預設動作

DeviceRegistry

代表與 Azure 裝置登錄 (ADR) 相關的屬性。

DeviceRegistryIdentity

用來從資料平面管理 ADR 命名空間的身分識別。

DeviceRegistryIdentityType

身分識別的類型。

DeviceRegistryLinkingProperties

這些屬性與連結 IoT 中樞 與 Azure 裝置登錄檔有關。

DeviceRegistryLinkingState

顯示 IoT 中樞 是否與 Azure 裝置登錄檔連結。

EnrichmentProperties

IoT 中樞套用至傳遞至端點之訊息的擴充屬性。

ErrorDetails

錯誤詳細數據。

EventHubProperties

IoT 中樞所使用的已佈建事件中樞相容端點的屬性。

EventStreamAuthenticationType

指定用於連接事件串流帳號的認證類型。

FallbackRouteProperties

後援路由的屬性。 IoT 中樞會在將訊息路由傳送至後援端點時,會使用這些屬性。

FallbackRouteSource

備援路線所應用的來源。

FeedbackProperties

雲端到裝置訊息的意見反應佇列屬性。

GatewayVersion

物聯網集線閘道器版本。

IotHubDescription

IoT 中樞的描述。

IotHubDetails

為物聯網樞紐提供額外的唯讀屬性集合。

IotHubLocationDescription

佈建資源的其中一個位置的公開表示。

IotHubProperties

IoT 中樞的屬性。

IotHubReplicaRoleType

區域的角色可以是主要或次要的。 主要區域是目前佈建 IoT 中樞的位置。 次要區域是 Azure 災害復原 (DR) 配對區域,也是 IoT 中樞可以容錯移轉至的區域。

IotHubSku

SKU 的名稱。

IotHubSkuInfo

IoT 中樞 SKU 的相關信息。

IotHubSkuTier

IoT 中樞的計費層。

IpFilterActionType

此規則所擷取要求所需的動作。

IpFilterRule

IoT 中樞的 IP 篩選規則。

ManagedIdentity

受控識別的屬性。

MessagingEndpointProperties

此 IoT 中樞所使用的傳訊端點屬性。

NetworkRuleIPAction

IP 篩選動作

NetworkRuleSetIpRule

要套用為網路規則集一部分的 IP 規則

NetworkRuleSetProperties

IotHub 的網路規則集屬性

PrivateEndpoint

私人端點連線的私人端點屬性

PrivateEndpointConnection

IotHub 的私人端點連線

PrivateEndpointConnectionProperties

私人端點連線的屬性

PrivateLinkServiceConnectionState

私人端點連線的目前狀態

PrivateLinkServiceConnectionStatus

私人端點連線的狀態

PublicNetworkAccess

是否允許來自公用網路的要求

ResourceIdentityType

用於資源的身分識別類型。 類型 'SystemAssigned,UserAssigned' 包含隱含建立的身分識別和一組使用者指派的身分識別。 類型 『None』 會從服務中移除任何身分識別。

RouteProperties

IoT 中樞用來將訊息路由傳送至端點的路由規則屬性。

RoutingCosmosDBSqlApiProperties

與 Cosmos DB SQL 容器端點相關的屬性。

RoutingEndpoints

與IoT中樞根據路由規則路由訊息的自定義端點相關的屬性。 付費中樞的所有端點類型最多允許10個自定義端點,而且免費中樞的所有端點類型只允許1個自定義端點。

RoutingEventHubProperties

與事件中樞端點相關的屬性。

RoutingEventStreamProperties

這些屬性與事件串流端點有關。

RoutingProperties

IoT 中樞的路由相關屬性。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging

RoutingServiceBusQueueEndpointProperties

與服務匯流排佇列端點類型相關的屬性。

RoutingServiceBusTopicEndpointProperties

與服務匯流排主題端點類型相關的屬性。

RoutingSource

要套用路由規則的來源,例如 DeviceMessages。

RoutingStorageContainerProperties

與儲存容器端點相關的屬性。

RoutingStorageContainerPropertiesEncoding

用來將訊息串行化至 Blob 的編碼方式。 支援的值為 'avro'、'avrodeflate' 和 'JSON'。 預設值為 『avro』。

SharedAccessSignatureAuthorizationRule

IoT 中樞共用存取原則的屬性。

StorageEndpointProperties

檔案上傳的 Azure 儲存體端點屬性。

systemData

與建立和上次修改資源相關的元數據。

AccessRights

指派給共用存取原則的許可權。

值 Description
RegistryRead

註冊閱讀

RegistryWrite

登錄檔寫入

ServiceConnect

ServiceConnect

DeviceConnect

DeviceConnect

RegistryRead, RegistryWrite

登錄檔讀取、登錄檔寫入

RegistryRead, ServiceConnect

RegistryRead、ServiceConnect

RegistryRead, DeviceConnect

RegistryRead、DeviceConnect

RegistryWrite, ServiceConnect

RegistryWrite, ServiceConnect

RegistryWrite, DeviceConnect

RegistryWrite, DeviceConnect

ServiceConnect, DeviceConnect

ServiceConnect、DeviceConnect

RegistryRead, RegistryWrite, ServiceConnect

RegistryRead, RegistryWrite, ServiceConnect

RegistryRead, RegistryWrite, DeviceConnect

RegistryRead, RegistryWrite, DeviceConnect

RegistryRead, ServiceConnect, DeviceConnect

RegistryRead、ServiceConnect、DeviceConnect

RegistryWrite, ServiceConnect, DeviceConnect

登錄寫、服務連接、裝置連接

RegistryRead, RegistryWrite, ServiceConnect, DeviceConnect

登錄檔讀取、登錄寫入、服務連接、裝置連接

ArmIdentity

名稱 類型 Description
principalId

string

主體標識碼

tenantId

string

租用戶標識碼

type

ResourceIdentityType

用於資源的身分識別類型。 類型 'SystemAssigned,UserAssigned' 包含隱含建立的身分識別和一組使用者指派的身分識別。 類型 『None』 會從服務中移除任何身分識別。

userAssignedIdentities

<string,  ArmUserIdentity>

<ArmUserIdentity> 字典

ArmUserIdentity

名稱 類型 Description
clientId

string

principalId

string

AuthenticationType

指定用於連線到記憶體帳戶的驗證類型。

值 Description
keyBased

基於 keyBase

identityBased

基於身份

Capabilities

針對IoT中樞啟用的功能和功能。

值 Description
None

None

DeviceManagement

DeviceManagement

CloudToDeviceProperties

IoT 中樞雲端到裝置傳訊屬性。

名稱 類型 Description
defaultTtlAsIso8601

string (duration)

裝置佇列中雲端到裝置訊息的預設存留時間。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#cloud-to-device-messages。

feedback

FeedbackProperties

雲端到裝置訊息的意見反應佇列屬性。

maxDeliveryCount

integer (int32)

minimum: 1
maximum: 100

裝置佇列中雲端到裝置訊息的傳遞計數上限。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#cloud-to-device-messages。

createdByType

建立此資源的身分識別類型。

值 Description
User
Application
ManagedIdentity
Key

DefaultAction

網路規則集的預設動作

值 Description
Deny

拒絕

Allow

允許

DeviceRegistry

代表與 Azure 裝置登錄 (ADR) 相關的屬性。

名稱 類型 Description
dataPlaneHostName

string

這是與關聯的 Azure 裝置登錄檔資料平面端點的主機名稱。

identity

DeviceRegistryIdentity

用來從資料平面管理 ADR 命名空間的身分識別。

linkingProperties

DeviceRegistryLinkingProperties

這些屬性與連結 IoT 中樞 與 Azure 裝置登錄檔有關。

namespaceResourceId

string (arm-id)

Azure 裝置登錄檔命名空間的識別碼

namespaceUuid

string

相關 Azure 裝置登錄檔命名空間的 UUID。

DeviceRegistryIdentity

用來從資料平面管理 ADR 命名空間的身分識別。

名稱 類型 Description
type

DeviceRegistryIdentityType

身分識別的類型。

userAssignedIdentity

string (arm-id)

若身份類型為「UserAssigned」,則稱為使用者指派的身份。

DeviceRegistryIdentityType

身分識別的類型。

值 Description
SystemAssigned

使用系統指派的管理身份來管理 ADR 命名空間。

UserAssigned

使用使用者指派的管理身份來管理 ADR 命名空間。

DeviceRegistryLinkingProperties

這些屬性與連結 IoT 中樞 與 Azure 裝置登錄檔有關。

名稱 類型 Description
error

ErrorDetails

最後一次錯誤發生在將 IoT 中樞 與 Azure 裝置登錄檔連結時。

state

DeviceRegistryLinkingState

顯示 IoT 中樞 是否與 Azure 裝置登錄檔連結。

DeviceRegistryLinkingState

顯示 IoT 中樞 是否與 Azure 裝置登錄檔連結。

值 Description
InProgress

IoT 中樞 正在與 Azure 裝置登錄檔的連結中。

Success

IoT 中樞 已成功與 Azure 裝置登錄檔連結。

Orphaned

連結的 Azure 裝置登錄檔已不再與 IoT 中樞 相關聯。

Failed

IoT 中樞 無法與 Azure 裝置登錄檔連結。

EnrichmentProperties

IoT 中樞套用至傳遞至端點之訊息的擴充屬性。

名稱 類型 Description
endpointNames

string[]

擴充套用至訊息的端點清單。

key

string

擴充屬性的索引鍵或名稱。

value

string

擴充屬性的值。

ErrorDetails

錯誤詳細數據。

名稱 類型 Description
code

string

錯誤碼。

details

string

錯誤詳情

httpStatusCode

string

HTTP 狀態代碼。

message

string

錯誤訊息。

EventHubProperties

IoT 中樞所使用的已佈建事件中樞相容端點的屬性。

名稱 類型 Description
endpoint

string

與事件中樞相容的端點。

partitionCount

integer (int32)

在事件中樞相容端點中接收裝置到雲端訊息的數據分割數目。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#device-to-cloud-messages。

partitionIds

string[]

事件中樞相容端點中的分割區識別碼。

path

string

事件中樞相容的名稱。

retentionTimeInDays

integer (int64)

裝置到雲端訊息的保留時間,以天為單位。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#device-to-cloud-messages

EventStreamAuthenticationType

指定用於連接事件串流帳號的認證類型。

值 Description
identityBased

基於身份的驗證

FallbackRouteProperties

後援路由的屬性。 IoT 中樞會在將訊息路由傳送至後援端點時,會使用這些屬性。

名稱 類型 Description
condition

string

評估要套用後援路由的條件。 如果未提供條件,則預設會評估為 true。 有關語法,請參閱: https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-query-language

endpointNames

string[]

符合條件的訊息會路由傳送至的端點清單。 目前只允許 1 個端點。

isEnabled

boolean

用來指定是否啟用後援路由。

name

string

路徑的名稱。 名稱只能包含英數位元、句號、底線、連字元,長度上限為64個字元,而且必須是唯一的。

source

FallbackRouteSource

要套用路由規則的來源。 例如,DeviceMessages

FallbackRouteSource

備援路線所應用的來源。

值 Description
DeviceMessages

裝置傳送到雲端的訊息。

FeedbackProperties

雲端到裝置訊息的意見反應佇列屬性。

名稱 類型 Description
lockDurationAsIso8601

string (duration)

意見反應佇列的鎖定持續時間。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#cloud-to-device-messages。

maxDeliveryCount

integer (int32)

minimum: 1
maximum: 100

IoT 中樞嘗試在意見反應佇列上傳遞訊息的次數。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#cloud-to-device-messages。

ttlAsIso8601

string (duration)

訊息在IoT中樞過期之前可供取用的期間。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#cloud-to-device-messages。

GatewayVersion

物聯網集線閘道器版本。

值 Description
V1

V1

V2

V2

IotHubDescription

IoT 中樞的描述。

名稱 類型 Description
etag

string

Etag 欄位 不需要。 如果在響應主體中提供,則也必須根據一般 ETag 慣例提供它作為標頭。

id

string (arm-id)

資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

identity

ArmIdentity

IotHub 的受控識別。

location

string

資源所在的地理位置

name

string

資源的名稱

properties

IotHubProperties

IotHub 屬性

sku

IotHubSkuInfo

IotHub SKU 資訊

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

tags

object

資源標籤。

type

string

資源的類型。 例如:「Microsoft.Compute/virtualMachines」或「Microsoft.Storage/storageAccounts」

IotHubDetails

為物聯網樞紐提供額外的唯讀屬性集合。

名稱 類型 Description
gatewayVersion

GatewayVersion

物聯網集線閘道器版本。

IotHubLocationDescription

佈建資源的其中一個位置的公開表示。

名稱 類型 Description
location

string

Azure 區域的名稱

role

IotHubReplicaRoleType

區域的角色可以是主要或次要的。 主要區域是目前佈建 IoT 中樞的位置。 次要區域是 Azure 災害復原 (DR) 配對區域,也是 IoT 中樞可以容錯移轉至的區域。

IotHubProperties

IoT 中樞的屬性。

名稱 類型 Description
allowedFqdnList

string[]

允許從 Iot 中樞輸出的 FQDN(完整功能變數名稱)清單。

authorizationPolicies

SharedAccessSignatureAuthorizationRule[]

您可以用來保護IoT中樞連線的共用存取原則。

cloudToDevice

CloudToDeviceProperties

IoT 中樞雲端到裝置傳訊屬性。

comments

string

IoT 中樞批注。

deviceHostName

string

裝置主機的名稱。 支援 TLS 1.3 上的安全連線。

deviceRegistry

DeviceRegistry

代表與 Azure 裝置登錄 (ADR) 相關的屬性。

disableDeviceSAS

boolean

如果為 true,則所有裝置(包括 Edge 裝置,但不包括模組)限定範圍的 SAS 金鑰都無法用於驗證。

disableLocalAuth

boolean

如果為 true,則無法將具有 Iot 中樞範圍的 SAS 金鑰 SAS 令牌用於驗證。

disableModuleSAS

boolean

如果為 true,則所有模組範圍的 SAS 金鑰都無法用於驗證。

enableDataResidency

boolean

當設定為 true 時,這個屬性會啟用數據落地,因此會停用災害復原。

enableFileUploadNotifications

boolean

如果為 True,則會啟用檔案上傳通知。

eventHubEndpoints

<string,  EventHubProperties>

事件中樞相容的端點屬性。 這個字典的唯一可能索引鍵是事件。 在建立或更新IoT中樞的呼叫時,此金鑰必須存在於字典中。

features

Capabilities

針對IoT中樞啟用的功能和功能。

hostName

string

主機的名稱。

iotHubDetails

IotHubDetails

為物聯網樞紐提供額外的唯讀屬性集合。

ipFilterRules

IpFilterRule[]

IP 篩選規則。

locations

IotHubLocationDescription[]

iot 中樞的主要和次要位置

messagingEndpoints

<string,  MessagingEndpointProperties>

檔案上傳通知佇列的傳訊端點屬性。

minTlsVersion

string

指定要支援此中樞的最低 TLS 版本。 可以設定為 「1.2」 ,讓使用 1.2 以下 TLS 版本的用戶端遭到拒絕。

networkRuleSets

NetworkRuleSetProperties

IotHub 的網路規則集屬性

privateEndpointConnections

PrivateEndpointConnection[]

在此IotHub上建立的私人端點連線

provisioningState

string

布建狀態。

publicNetworkAccess

PublicNetworkAccess

是否允許來自公用網路的要求

restrictOutboundNetworkAccess

boolean

如果為 true,則來自 IotHub 的輸出將僅限於透過 allowedFqdnList 設定的允許 FQDN。

routing

RoutingProperties

IoT 中樞的路由相關屬性。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging

serviceHostName

string

服務主機的名字。 支援 TLS 1.3 上的安全連線。

state

string

中樞狀態。

storageEndpoints

<string,  StorageEndpointProperties>

您可以在其中上傳檔案的 Azure 記憶體端點清單。 目前您只能設定一個 Azure 記憶體帳戶,且必須將其密鑰設定為$default。 指定多個記憶體帳戶會導致擲回錯誤。 當 enableFileUploadNotifications 屬性設定為 True 時,未指定此屬性的值,會導致擲回錯誤。

IotHubReplicaRoleType

區域的角色可以是主要或次要的。 主要區域是目前佈建 IoT 中樞的位置。 次要區域是 Azure 災害復原 (DR) 配對區域,也是 IoT 中樞可以容錯移轉至的區域。

值 Description
primary

主要

secondary

secondary

IotHubSku

SKU 的名稱。

值 Description
F1

F1

S1

S1

S2

S2

S3

S3

B1

B1

B2

B2

B3

B3

IotHubSkuInfo

IoT 中樞 SKU 的相關信息。

名稱 類型 Description
capacity

integer (int64)

布建的IoT中樞單位數目。 請參閱:https://docs.microsoft.com/azure/azure-subscription-service-limits#iot-hub-limits。

name

IotHubSku

SKU 的名稱。

tier

IotHubSkuTier

IoT 中樞的計費層。

IotHubSkuTier

IoT 中樞的計費層。

值 Description
Free

免費

Standard

標準

Basic

基本

IpFilterActionType

此規則所擷取要求所需的動作。

值 Description
Accept

接受

Reject

拒絕​​

IpFilterRule

IoT 中樞的 IP 篩選規則。

名稱 類型 Description
action

IpFilterActionType

此規則所擷取要求所需的動作。

filterName

string

IP 篩選規則的名稱。

ipMask

string

字串,包含規則之 CIDR 表示法中的 IP 位址範圍。

ManagedIdentity

受控識別的屬性。

名稱 類型 Description
userAssignedIdentity

string

使用者指派的身分識別。

MessagingEndpointProperties

此 IoT 中樞所使用的傳訊端點屬性。

名稱 類型 Description
lockDurationAsIso8601

string (duration)

鎖定持續時間。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-file-upload。

maxDeliveryCount

integer (int32)

minimum: 1
maximum: 100

IoT 中樞嘗試傳遞訊息的次數。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-file-upload。

ttlAsIso8601

string (duration)

訊息在IoT中樞過期之前可供取用的期間。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-file-upload。

NetworkRuleIPAction

IP 篩選動作

值 Description
Allow

允許

NetworkRuleSetIpRule

要套用為網路規則集一部分的 IP 規則

名稱 類型 預設值 Description
action

NetworkRuleIPAction

Allow

IP 篩選動作

filterName

string

IP 篩選規則的名稱。

ipMask

string

字串,包含規則之 CIDR 表示法中的 IP 位址範圍。

NetworkRuleSetProperties

IotHub 的網路規則集屬性

名稱 類型 預設值 Description
applyToBuiltInEventHubEndpoint

boolean

如果為 True,則網路規則集也會套用至 IotHub 的 BuiltIn EventHub EndPoint

defaultAction

DefaultAction

Deny

網路規則集的預設動作

ipRules

NetworkRuleSetIpRule[]

IP 規則清單

PrivateEndpoint

私人端點連線的私人端點屬性

名稱 類型 Description
id

string

資源標識碼。

PrivateEndpointConnection

IotHub 的私人端點連線

名稱 類型 Description
id

string (arm-id)

資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

資源的名稱

properties

PrivateEndpointConnectionProperties

私人端點連線的屬性

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

type

string

資源的類型。 例如:「Microsoft.Compute/virtualMachines」或「Microsoft.Storage/storageAccounts」

PrivateEndpointConnectionProperties

私人端點連線的屬性

名稱 類型 Description
privateEndpoint

PrivateEndpoint

私人端點連線的私人端點屬性

privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

私人端點連線的目前狀態

PrivateLinkServiceConnectionState

私人端點連線的目前狀態

名稱 類型 Description
actionsRequired

string

私人端點連線所需的動作

description

string

私人端點連線目前狀態的描述

status

PrivateLinkServiceConnectionStatus

私人端點連線的狀態

PrivateLinkServiceConnectionStatus

私人端點連線的狀態

值 Description
Pending

等待中

Approved

已核准

Rejected

已拒絕

Disconnected

Disconnected

PublicNetworkAccess

是否允許來自公用網路的要求

值 Description
Enabled

已啟用

Disabled

Disabled

ResourceIdentityType

用於資源的身分識別類型。 類型 'SystemAssigned,UserAssigned' 包含隱含建立的身分識別和一組使用者指派的身分識別。 類型 『None』 會從服務中移除任何身分識別。

值 Description
SystemAssigned

SystemAssigned

UserAssigned

UserAssigned

SystemAssigned, UserAssigned

SystemAssigned、UserAssigned

None

None

RouteProperties

IoT 中樞用來將訊息路由傳送至端點的路由規則屬性。

名稱 類型 Description
condition

string

評估為套用路由規則的條件。 如果未提供任何條件,則預設會評估為 true。 有關語法,請參閱: https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-query-language

endpointNames

string[]

路由傳送符合條件之訊息的端點清單。 目前只允許一個端點。

isEnabled

boolean

用來指定是否啟用路由。

name

string

pattern: ^[A-Za-z0-9-._]{1,64}$

路徑的名稱。 名稱只能包含英數位元、句號、底線、連字元,長度上限為64個字元,而且必須是唯一的。

source

RoutingSource

要套用路由規則的來源,例如 DeviceMessages。

RoutingCosmosDBSqlApiProperties

與 Cosmos DB SQL 容器端點相關的屬性。

名稱 類型 Description
authenticationType

AuthenticationType

用來對cosmos DB sql容器端點進行驗證的方法

containerName

string

cosmos DB 資料庫中 cosmos DB sql 容器的名稱。

databaseName

string

cosmos DB 帳戶中 cosmos DB 資料庫的名稱。

endpointUri

string (uri)

cosmos DB 帳戶的 URL。 它必須包含通訊協定 https://

id

string

cosmos DB sql 容器端點的標識碼

identity

ManagedIdentity

路由cosmos DB容器端點的受控識別屬性。

name

string

pattern: ^[A-Za-z0-9-._]{1,64}$

識別此端點的名稱。 名稱只能包含英數位元、句號、底線、連字元,且長度上限為64個字元。 下列名稱為保留:事件、fileNotifications、$default。 端點名稱在端點類型之間必須是唯一的。

partitionKeyName

string

如果存在,則為與此 cosmos DB sql 容器相關聯的分割區索引鍵名稱。 這是可選參數。

partitionKeyTemplate

string

用來產生綜合分割區索引鍵值的範本,以便與這個 cosmos DB sql 容器搭配使用。 範本至少必須包含下列其中一個佔位元:{iothub}、{deviceid}、{DD}、{MM}和 {YYYY}。 任何一個佔位元最多可以指定一次,但順序和非佔位元元元件都是任意的。 只有在指定 PartitionKeyName 時,才需要此參數。

primaryKey

string (password)

cosmos DB 帳戶的主鍵。

resourceGroup

string

cosmos DB 帳戶的資源群組名稱。

secondaryKey

string (password)

cosmos DB 帳戶的次要密鑰。

subscriptionId

string

cosmos DB 帳戶的訂用帳戶標識碼。

RoutingEndpoints

與IoT中樞根據路由規則路由訊息的自定義端點相關的屬性。 付費中樞的所有端點類型最多允許10個自定義端點,而且免費中樞的所有端點類型只允許1個自定義端點。

名稱 類型 Description
cosmosDBSqlContainers

RoutingCosmosDBSqlApiProperties[]

IoT 中樞根據路由規則將訊息路由傳送至的Cosmos DB容器端點清單。

eventHubs

RoutingEventHubProperties[]

IoT 中樞根據路由規則將訊息路由傳送至的事件中樞端點清單。 此清單不包含內建事件中樞端點。

eventStreams

RoutingEventStreamProperties[]

物聯網樞紐根據路由規則將訊息路由到事件串流端點的清單。

serviceBusQueues

RoutingServiceBusQueueEndpointProperties[]

IoT 中樞根據路由規則,將訊息路由傳送至的服務總線佇列端點清單。

serviceBusTopics

RoutingServiceBusTopicEndpointProperties[]

IoT 中樞根據路由規則,將訊息路由傳送至的服務總線主題端點清單。

storageContainers

RoutingStorageContainerProperties[]

IoT 中樞根據路由規則將訊息路由傳送至的記憶體容器端點清單。

RoutingEventHubProperties

與事件中樞端點相關的屬性。

名稱 類型 Description
authenticationType

AuthenticationType

用來對事件中樞端點進行驗證的方法

connectionString

string (password)

事件中樞端點的連接字串。

endpointUri

string

事件中樞端點的 URL。 它必須包含通訊協定 sb://

entityPath

string

事件中樞命名空間上的事件中樞名稱

id

string

事件中樞端點的標識碼

identity

ManagedIdentity

路由事件中樞端點的受控識別屬性。

name

string

pattern: ^[A-Za-z0-9-._]{1,64}$

識別此端點的名稱。 名稱只能包含英數位元、句號、底線、連字元,且長度上限為64個字元。 下列名稱為保留:事件、fileNotifications、$default。 端點名稱在端點類型之間必須是唯一的。

resourceGroup

string

事件中樞端點的資源群組名稱。

subscriptionId

string

事件中樞端點的訂用帳戶標識碼。

RoutingEventStreamProperties

這些屬性與事件串流端點有關。

名稱 類型 Description
authenticationType

EventStreamAuthenticationType

用於對事件串流端點進行認證的方法

endpointUri

string

事件串流端點底層事件集線中心命名空間的網址。 它必須包含通訊協定 sb://

entityPath

string

事件中樞命名空間上的事件中樞名稱

eventStreamId

string

工作區下目標事件串流的唯一 GUID。

id

string

事件串流端點的 ID

identity

ManagedIdentity

路由事件串流端點的管理身份屬性。

name

string

pattern: ^[A-Za-z0-9-._]{1,64}$

識別此端點的名稱。 名稱只能包含英數位元、句號、底線、連字元,且長度上限為64個字元。 下列名稱為保留:事件、fileNotifications、$default。 端點名稱在端點類型之間必須是唯一的。

sourceId

string

事件串流自訂來源的獨特 GUID。

workspaceId

string

針對事件串流端點的目標 Microsoft Fabric 工作空間的獨特 GUID。

RoutingProperties

IoT 中樞的路由相關屬性。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging

名稱 類型 Description
endpoints

RoutingEndpoints

與IoT中樞根據路由規則路由訊息的自定義端點相關的屬性。 付費中樞的所有端點類型最多允許10個自定義端點,而且免費中樞的所有端點類型只允許1個自定義端點。

enrichments

EnrichmentProperties[]

IoT 中樞套用至要傳遞至內建和自定義端點的訊息的使用者提供擴充清單。 請參閱:https://aka.ms/telemetryoneventgrid

fallbackRoute

FallbackRouteProperties

當不符合 『routes』 區段中所指定條件時,路由的屬性會當做後援路由使用。 這是可選參數。 未設定此屬性時,不符合 『routes』 區段中指定之任何條件的訊息會路由傳送至內建 eventhub 端點。

routes

RouteProperties[]

IoT 中樞用來將訊息路由傳送至內建和自定義端點的使用者提供路由規則清單。 付費中樞最多允許 100 個路由規則,免費中樞最多允許 5 個路由規則。

RoutingServiceBusQueueEndpointProperties

與服務匯流排佇列端點類型相關的屬性。

名稱 類型 Description
authenticationType

AuthenticationType

用來對服務總線佇列端點進行驗證的方法

connectionString

string (password)

服務總線佇列端點的連接字串。

endpointUri

string

服務總線佇列端點的 URL。 它必須包含通訊協定 sb://

entityPath

string

服務總線命名空間上的佇列名稱

id

string

服務總線佇列端點的標識碼

identity

ManagedIdentity

路由服務總線佇列端點的受控識別屬性。

name

string

pattern: ^[A-Za-z0-9-._]{1,64}$

識別此端點的名稱。 名稱只能包含英數位元、句號、底線、連字元,且長度上限為64個字元。 下列名稱為保留:事件、fileNotifications、$default。 端點名稱在端點類型之間必須是唯一的。 名稱不需要與實際佇列名稱相同。

resourceGroup

string

服務總線佇列端點的資源群組名稱。

subscriptionId

string

服務總線佇列端點的訂用帳戶標識碼。

RoutingServiceBusTopicEndpointProperties

與服務匯流排主題端點類型相關的屬性。

名稱 類型 Description
authenticationType

AuthenticationType

用來對服務總線主題端點進行驗證的方法

connectionString

string (password)

服務總線主題端點的連接字串。

endpointUri

string

服務總線主題端點的 URL。 它必須包含通訊協定 sb://

entityPath

string

服務總線主題上的佇列名稱

id

string

服務總線主題端點的標識碼

identity

ManagedIdentity

路由服務總線主題端點的受控識別屬性。

name

string

pattern: ^[A-Za-z0-9-._]{1,64}$

識別此端點的名稱。 名稱只能包含英數位元、句號、底線、連字元,且長度上限為64個字元。 下列名稱為保留:事件、fileNotifications、$default。 端點名稱在端點類型之間必須是唯一的。 名稱與實際主題名稱不一樣。

resourceGroup

string

服務總線主題端點的資源群組名稱。

subscriptionId

string

服務總線主題端點的訂用帳戶標識碼。

RoutingSource

要套用路由規則的來源,例如 DeviceMessages。

值 Description
Invalid

無效

DeviceMessages

裝置訊息

TwinChangeEvents

TwinChangeEvents

DeviceLifecycleEvents

裝置生命週期事件

DeviceJobLifecycleEvents

裝置工作生命週期事件

DeviceConnectionStateEvents

裝置連線狀態事件

RoutingStorageContainerProperties

與儲存容器端點相關的屬性。

名稱 類型 Description
authenticationType

AuthenticationType

用來對記憶體端點進行驗證的方法

batchFrequencyInSeconds

integer (int32)

minimum: 60
maximum: 720

Blob 寫入記憶體的時間間隔。 值應介於 60 到 720 秒之間。 預設值為300秒。

connectionString

string (password)

記憶體帳戶的連接字串。

containerName

string

記憶體帳戶中的記憶體容器名稱。

encoding

RoutingStorageContainerPropertiesEncoding

用來將訊息串行化至 Blob 的編碼方式。 支援的值為 'avro'、'avrodeflate' 和 'JSON'。 預設值為 『avro』。

endpointUri

string

記憶體端點的 URL。 它必須包含通訊協定 https://

fileNameFormat

string

Blob 的檔名格式。 默認格式為 {iothub}/{partition}/{YYYY}/{MM}/{DD}/{HH}/{mm}。 所有參數都是必要參數,但可以重新排序。

id

string

記憶體容器端點的標識碼

identity

ManagedIdentity

路由記憶體端點的受控識別屬性。

maxChunkSizeInBytes

integer (int32)

minimum: 10485760
maximum: 524288000

寫入記憶體之每個 Blob 的最大位元元組數目。 值應介於 10485760(10MB) 和 524288000(500MB) 之間。 預設值為 314572800(300MB)。

name

string

pattern: ^[A-Za-z0-9-._]{1,64}$

識別此端點的名稱。 名稱只能包含英數位元、句號、底線、連字元,且長度上限為64個字元。 下列名稱為保留:事件、fileNotifications、$default。 端點名稱在端點類型之間必須是唯一的。

resourceGroup

string

記憶體帳戶的資源群組名稱。

subscriptionId

string

記憶體帳戶的訂用帳戶標識碼。

RoutingStorageContainerPropertiesEncoding

用來將訊息串行化至 Blob 的編碼方式。 支援的值為 'avro'、'avrodeflate' 和 'JSON'。 預設值為 『avro』。

值 Description
Avro

Avro

AvroDeflate

阿夫羅放氣

JSON

JSON

SharedAccessSignatureAuthorizationRule

IoT 中樞共用存取原則的屬性。

名稱 類型 Description
keyName

string

共用存取原則的名稱。

primaryKey

string

主鍵。

rights

AccessRights

指派給共用存取原則的許可權。

secondaryKey

string

次要金鑰。

StorageEndpointProperties

檔案上傳的 Azure 儲存體端點屬性。

名稱 類型 Description
authenticationType

AuthenticationType

指定用於連線到記憶體帳戶的驗證類型。

connectionString

string

上傳檔案之 Azure 記憶體帳戶的連接字串。

containerName

string

您上傳檔案的根容器名稱。 容器不需要存在,但應該使用指定的 connectionString 來建立。

identity

ManagedIdentity

用於檔案上傳之記憶體端點的受控識別屬性。

sasTtlAsIso8601

string (duration)

IoT 中樞針對檔案上傳所產生的SAS URI有效期間。 請參閱:https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-file-upload#file-upload-notification-configuration-options。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立此資源的身分。

createdByType

createdByType

建立此資源的身分識別類型。

lastModifiedAt

string (date-time)

上次修改的資源時間戳 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。